Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
Posts: 9
Registered: ‎12-16-2011
My Device: Curve 8520
My Carrier: O2

Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error

Hello.

 

I installed Eclipse ( a few times now), and installed the BB Java Plugin and various component packs.

 

I have tried to install a component pack (7.0.0.33) from http://www.blackberry.com/go/eclipseUpdate/3.6/java (and other links harvested from foruns) using the Eclipse Install Software function, but continually get an MD5 error.

 

I have tried clearing out TEMP and emptying IE caches etc to no avail as well as a bunch of other stuff found on forums, but come back to the same error.

 

Is there something in Eclipse I can delete to get this working or is there perhaps something wrong with the source file/s?

 

Steve O.

New Contributor
Posts: 9
Registered: ‎12-16-2011
My Device: Curve 8520
My Carrier: O2

Re: Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error

This is the error message:

An error occurred while collecting items to be installed
session context wasSmiley Sadprofile=epp.package.java, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Problems downloading artifact: org.eclipse.update.feature,net.rim.ejde.feature.componentpack7.0.0,7.0.0.33.
MD5 hash is not as expected. Expected: 5fea05c8bd882d76af47db7d959b3d9e and found a6841f1d1bedbac9e2434c5203f6a313.

Steve O.
New Developer
Posts: 2
Registered: ‎09-25-2011
My Device: BB Bold 9700
My Carrier: begginner developer

Re: Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error

Hi!

 

I just download and install "BlackBerry Java Plugin for Eclipse v1.5 (Windows)"  from http://us.blackberry.com/developers/javaappdev/#.

 

You can try that link.

Contributor
Posts: 14
Registered: ‎08-22-2008
My Device: Not Specified

Re: Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error

I get the same thing too...sometimes.

 

Other times I get the following error:

An error occurred while collecting items to be installed
session context wasSmiley Sadprofile=epp.package.java, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
HTTP Server 'Bad Gateway' : https://swdownloads.blackberry.com/Downloads/auth/contactFormPreload.do?code=DC727151E5D55DDE1E95076...
HttpClient connection error response code 502.

 

I had little to no problem downloading the 1.5 Plug-In and all other SDKs (including 7.1) but the 7.0 SDK is failing to install.

I need to impl a OS 7.x only feature, but since I don't have any OS 7.1 devices I am dead in the water.

 

Pv

New Contributor
Posts: 9
Registered: ‎12-16-2011
My Device: Curve 8520
My Carrier: O2

Re: Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error

[ Edited ]

Hello Kuvalya.

 

Thanks for the link, but I wanted to carry on using an existing Eclipse instance with the BB plug-in rather than the bundle, which I tried using initially.

 

Steve O.

New Contributor
Posts: 9
Registered: ‎12-16-2011
My Device: Curve 8520
My Carrier: O2

Re: Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error

Hello paulpv.

 

I followed that link you posted, and it downladed a JAR file that was 44kb but I couldn't do anything with it.

 

Oddly, I seem to have a populated directory in eclipse/plugins called net.rim.ejde.componentpack7.0.0_7.0.0.33 that is reported as 573MB in size.

 

Somewhat confused as it is not showing as installed.

 

Steve O.

 

 


paulpv wrote:

I get the same thing too...sometimes.

 

Other times I get the following error:

An error occurred while collecting items to be installed
session context wasSmiley Sadprofile=epp.package.java, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
HTTP Server 'Bad Gateway' : https://swdownloads.blackberry.com/Downloads/auth/contactFormPreload.do?code=DC727151E5D55DDE1E95076...
HttpClient connection error response code 502.

 

I had little to no problem downloading the 1.5 Plug-In and all other SDKs (including 7.1) but the 7.0 SDK is failing to install.

I need to impl a OS 7.x only feature, but since I don't have any OS 7.1 devices I am dead in the water.

 

Pv


 

 

Highlighted
Contributor
Posts: 14
Registered: ‎08-22-2008
My Device: Not Specified

Re: Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error

[ Edited ]

I had already tried unjaring that 44K file and manually importing/installing it in to eclipse, but had no luck.

I also had a eclipse/plugins/...7.0.0.33 directory, but it never showed up as installed.

I gave up and am now using the full download to do my 7.0 SDK work, but am using my stand-alone Helios+plugins install for all of the other SDKs.

Maybe they will patch this and 7.0 will start working as a plugin, at which time I will delete my full install (until something else breaks).

I have been a BB dev for years and am coming back to do some small work after 6 hard-core months deving on Android.
There is a day and night difference in the quality of development experience between Android and BB.
Device reboots, slow reboots, slow signing servers, slow debugging, weak profiling tools, non-backwards compatible APIs, confusing Eclipse integration...and now their plugins don't even install.

I'd love for RIM to start offering a quality dev experience, but until then I am an Android fan.

Developer
Posts: 62
Registered: ‎12-07-2009
My Device: Bold 9000

Re: Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error

Exact same issue here. Did you find a solution?.

 

Thanks.

New Contributor
Posts: 9
Registered: ‎12-16-2011
My Device: Curve 8520
My Carrier: O2

Re: Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error


pprasad wrote:

Exact same issue here. Did you find a solution?.

 

Thanks.


 

Hello.

 

I opened an issue for this before the holiday, and it appears to have been accepted that the 7.0 SDK package is 'broken', and a fix was being worked on.

 

I'll post back here if there is a fix if anybody is interested.

 

Steve O.

 

Developer
Posts: 62
Registered: ‎12-07-2009
My Device: Bold 9000

Re: Eclipse - Install Software - Component Pack 7.0.0.33 - From BB Site Fails with MD5 Error

Thanks Steve.